'use client';

import { Box, Heading, Text, Button } from '@chakra-ui/react';
import Link from 'next/link';

export default function Custom404() {
  return (
    <Box
      textAlign="center"
      py={20}
      px={6}
      minH="100vh"
      display="flex"
      flexDirection="column"
      justifyContent="center"
      bg="gray.900"
      color="white"
    >
      <Heading
        display="inline-block"
        as="h1"
        size="2xl"
        bgGradient="linear(to-r, teal.400, teal.600)"
        backgroundClip="text"
      >
        404
      </Heading>
      <Text fontSize="18px" mt={3} mb={2}>
        Page Not Found
      </Text>
      <Text color="gray.500" mb={6}>
        The page you’re looking for does not exist or has been moved.
      </Text>
      <Link href="/" passHref>
        <Button
          colorScheme="teal"
          bgGradient="linear(to-r, teal.400, teal.500, teal.600)"
          color="white"
          variant="solid"
          width="200px"
          mx="auto"
        >
          Go to Home
        </Button>
      </Link>
    </Box>
  );
}
